import { Component } from '@angular/core';
import { AlertController } from 'ionic-angular';
import { Storage } from '@ionic/storage';
import { request, tsMD5, getGloble, setGloble } from '../../js/comman';
@Component({
	selector: 'weui',
	templateUrl: "weui.html"
})
export class Weui {
	userPic: string;
	isPic: boolean;
	username: string = "点击登录";
	password: string;
	code: any;

	testParam: string;
	userIds: string;
	token: string;
	constructor(private alertCtrl ? : AlertController, private storage ? : Storage) {

	}

	showToast(title: string, content: string, buttonTxt: string, imgSrc: string, callback) {
		if(imgSrc == null || imgSrc == "") {
			imgSrc = "assets/img/showAlertPic_1.png";
		}
		let alert = this.alertCtrl.create({
			title: '<div class="txt"><div class="tp"><img src=' + imgSrc + ' /></div><div class="tt">' + title + '</div></div>',
			subTitle: content,
			buttons: [{
				text: buttonTxt,
				cssClass: 'toastStyle',
				handler: callback
			}]
		});
		alert.present();
	}
	showAlert(title: string, content: string, cancelTxt: string, confirmTxt: string, callback, imgSrc: string) {
		if(imgSrc == null || imgSrc == "") {
			imgSrc = "assets/img/showAlertPic_1.png";
		}
		let buttonsArr = [];

		buttonsArr = this.getButtonStyle(cancelTxt, confirmTxt,callback);

		let alert = this.alertCtrl.create({
			title: '<div class="txt"><div class="tp"><img src=' + imgSrc + ' /></div><div class="tt">' + title + '</div></div>',
			message: content,
			buttons: buttonsArr,
			enableBackdropDismiss: false,
		});
		alert.present();
	}
	getButtonStyle(cancelTxt, confirmTxt,callback) {
		let buttonsArr = [];
		if(cancelTxt == "" && confirmTxt != "") {
			buttonsArr = [{
				text: confirmTxt,
				handler: callback,
				cssClass: "hideAlertButton100",
			}];
			return buttonsArr;
		} else if(cancelTxt != "" && confirmTxt == "") {
			buttonsArr = [{
				text: cancelTxt,
				role: 'cancel',
				cssClass: "hideAlertButton100",
			}];
			return buttonsArr;
		} else {
			buttonsArr = [{
					text: cancelTxt,
					role: 'cancel',
					cssClass: cancelTxt != "" ? "" : "hideAlertButton",
				},
				{
					text: confirmTxt,
					handler: callback,
					cssClass: confirmTxt != "" ? "" : "hideAlertButton",
				}
			];
			return buttonsArr;
		}
		

	}
	showLogin() {
		console.log("showlogin!");
		let alert = this.alertCtrl.create({
			title: '<div class="txt txts"><div class="tt">请登录(测试版)</div><div class="line"></div></div>',
			inputs: [{
					name: 'username',
					placeholder: '手机号',
				},
				{
					name: 'password',
					placeholder: '密码',
					type: 'password'
				}
			],
			buttons: [{
					text: '取消',
					role: 'cancel',
					handler: data => {
						console.log(data);
					}
				},
				{
					text: '登录',
					handler: data => {
						var mpwd = tsMD5(data.password);
						var param = {
							phone: data.username,
							pwd: mpwd,
							code: "",
							type: 0,
							platform: "wx",
						};
						request("FrontUser", "login", param, (data) => {
							if(data.code == 0) {
								setGloble(data);
								this.userIds = data.userIds;
								this.token = data.token;
								this.storage.set('userIds', data.userIds);
								this.storage.set('token', data.token);
								this.getUserInfo();

							} else {
								console.log(data.msg);
							}

						})
					}
				}
			]
		});
		alert.present();
	}
	showQuan(userID, token) {
		let alert = this.alertCtrl.create({
			title: '<div class="txt"><div class="tt">添加优惠券码</div><div class="Quantitle">请输入兑换码</div></div>',
			inputs: [{
				name: 'inputCode',
				placeholder: '优惠券码',
				id: 'customInputStyle',
			}],
			buttons: [{
					text: '取消',
					role: 'cancel',
					handler: data => {
						console.log(data);
					}
				},
				{
					text: '确定',
					handler: data => {
						var param = {
							userId: userID,
							code: data.inputCode,
							token: token
						};
						request("Quan", "getQuanCommon", param, (data) => {
							//							if(data.code == 0){
							//								this.showToast('领取成功',data.msg,"确定","assets/img/wang/discount-alert.png");
							//							} else {
							//								this.showToast('领取优惠券失败',data.msg,"确定","assets/img/wang/discount-alert.png");
							//							}

						})
					}
				}
			]
		});
		alert.present();
	}
	getUserInfo() {
		var param = {
			userId: this.userIds,
			token: this.token
		};
		request("FrontUser", "getUserInfo", param, (data) => {
			if(data.code == 0) {
				this.isPic = true;
				var userInfo = data;
				this.storage.set('userInfo', userInfo);
				var picUrl = userInfo.path + userInfo.userImg;
				console.log(picUrl);
				this.userPic = picUrl;

				setGloble(data);
			}
		});

	}
}